Loading...
Searching...
No Matches
Gfx::DeviceCapabilities Struct Reference

This structs contains various capabilities of graphics device. More...

`#include <src/graphics/core/device.h>`

## Public Attributes

bool | multitexturingSupported = false
int | maxTextures = 1
int | maxTextureSize = 1024
int | maxLights = 8
bool | shadowMappingSupported = false
bool | framebufferSupported = false
int | maxRenderbufferSize = 0
bool | anisotropySupported = false
int | maxAnisotropy = 1
bool | multisamplingSupported = false
int | maxSamples = 1

## Detailed Description

This structs contains various capabilities of graphics device.

The documentation for this struct was generated from the following file:

- src/graphics/core/device.h